#!/bin/sh
# file delete
# ---------------------------------------------- #

MAKEWHATIS=/etc/cron.daily/makewhatis.cron
CRPM=/etc/cron.daily/rpm
SLOCATE=/etc/cron.daily/slocate
TMPWATCH=/etc/cron.daily/tmpwatch
UPDATECHECK=/etc/cron.d/ZabomUpdateCheck.cron
PATCH_HOME=/home/smxd/smx-cluster_patch
AlreadyFlagLabel=installFlg

RECROND=/opt/cse/smx/setup/bin/service_cron_restart.sh

WIN_DOMAIN=/opt/cse/smx/admin/servlet/webapps/admin/WEB-INF/lib/CmdWinAccount.jar
JAVA_AUDIT=/opt/cse/smx/common/bin/monitor/monitoring_smx_java.jar

## param now_version
## 現在のバージョンによって、削除するファイルが増減する
NOW_VER=$1

##### Function ###################################
#------ ファイルのバックアップと削除 ------------#
backup_and_delete(){
  REALFILE=$1
  FILENAME=$2
  $tar $U_OPT $BACKUP_PKG_FILE "$REALFILE" > /dev/null 2>&1
  if [ $? -ne 0 ] ; then
    echo " "
    echo "エラー発生！"
    echo
    arize_err "dmy" "DELETE FILE('$FILENAME') のバックアップに失敗しました。"
    msg_err "${SECUREMATRIX} の DELETE FILE のバックアップに失敗しました。" \
            "処理を中断します。" \
            " " \
            "<!> 予期せぬエラーです。サポートに連絡してください。"
    exit 1
  fi
  $rm -f $REALFILE > /dev/null 2>&1
  if [ $? -ne 0 ] ; then
    echo " "
    echo "エラー発生！"
    echo
    arize_err "dmy" "DELETE FILE('$FILENAME') の削除に失敗しました。"
    msg_err "${SECUREMATRIX} の DELETE FILE のバックアップに失敗しました。" \
            "処理を中断します。" \
            " " \
            "<!> 予期せぬエラーです。サポートに連絡してください。"
    exit 1
  fi
}

##### Main routine ###############################

# 初期処理
. ${INST_HOME}/function.sh
initialize

# フラグの初期化
FLAG=0


# 開始出力
CLEAR
msg_info  "${SECUREMATRIX} の不要ファイルを削除します。" \
          "しばらくお待ちください。"
#echo ""
echo_sp "${SECUREMATRIX} 不要ファイル削除中."
write_log "${SECUREMATRIX} 不要ファイル削除開始"

## WinLogon ドメイン更新ツールパッチがインストール済み
if [ -f ${WIN_DOMAIN} ] ; then
  backup_and_delete "$WIN_DOMAIN" "CmdWinAccount.jar"
fi

## JAVA 監視ツールパッチがインストール済み
# 本パッチ適用中はアップデートできない制限事項とする
#if [ -f ${JAVA_AUDIT} ] ; then
#  backup_and_delete "$JAVA_AUDIT" "monitoring_smx_java.jar"
#fi

## EasySetup の使わなくなったモジュール削除する
if [ $NOW_VER -eq 20 -o $NOW_VER -eq 21 ] ; then
	backup_and_delete "$RECROND" "service_cron_restart.sh"

	if [ $NOW_VER -eq 20 ] ; then
		# 既にパッチが適用されている場合は処理のスキップ
		#nowVersion=`/opt/cse/smx/common/bin/information.sh | grep Version | awk '{print $NF}'`
		#verNum=`echo ${nowVersion} | sed -e s/'\.'/''/g -e s/'a'/''/g -e s/'b'/''/g`
		# パッチ適用済みフラグファイルの存在チェック：適用済み=フラグファイルが存在する
		if [ -f ${PATCH_HOME}/${AlreadyFlagLabel}.${MEMORYLEAK_APPVER} ] ; then
		  write_log "Patch has already applied. [delete]"
		  # updater.sh の処理は継続させる
		else
		  # DELETE FILE のバックアップ処理および削除処理(Auth , GSB , ISB 共通)
		  # 各ファイルが存在している場合バックアップおよび削除を行う
		  if [ -f "$MAKEWHATIS" ] ; then
		    backup_and_delete "$MAKEWHATIS" "MAKEWHATIS"
		  fi
		  if [ -f "$CRPM" ] ; then
		    backup_and_delete "$CRPM" "CRPM"
		  fi
		  if [ -f "$SLOCATE" ] ; then
		    backup_and_delete "$SLOCATE" "SLOCATE"
		  fi
		  if [ -f "$TMPWATCH" ] ; then
		    backup_and_delete "$TMPWATCH" "TMPWATCH"
		  fi
		  if [ -f "$UPDATECHECK" ] ; then
		    backup_and_delete "$UPDATECHECK" "UPDATECHECK"
		  fi
		fi
	#elif [ $NOW_VER -eq 21 ] ; then
	#elif [ $NOW_VER -eq 22 ] ; then
	fi
fi

  echo "完了"
  echo ""
  msg_dialog  "${SECUREMATRIX} の不要ファイル削除に成功しました。" \
              " " \
              "処理を継続します。"
  write_log "${SECUREMATRIX} の不要ファイル削除に成功しました。"
  WAIT_ENTER

exit 0